package com.yeejoin.amos.boot.module.tdc.api.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yeejoin.amos.boot.module.tdc.api.dto.CheckResultDto;
import com.yeejoin.amos.boot.module.tdc.api.entity.CheckResult;
import org.apache.ibatis.annotations.Param;
import org.mapstruct.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 检验结果的Mapper层
 */
@Mapper
public interface CheckResultMapper extends BaseMapper<CheckResult> {

    IPage<CheckResultDto> selectResult(IPage<CheckResultDto> page,String code);

    Map<String, Object> selectTotal(String batchNo);

    Map<String, Object> getTables(String tableName, String amosOrgCode);

    List<CheckResultDto> selectStatistion(String batchNo,String amosOrgCode);

    List<CheckResultDto> selectDetails(String batchNo,Integer modelId);

    String saveSql(String amosOrgCode);

    List<CheckResultDto> getOne(String amosOrgCode);

    List<CheckResult> getCheckItemNo(@Param("modelName") String modelName);

    Map<String, Object> selectCheckItemTotal(@Param("modelName") String modelName);
}
